com.fasterxml.jackson.core.io

## Class BigDecimalParser

- java.lang.Object
- - com.fasterxml.jackson.core.io.BigDecimalParser

    public final class BigDecimalParser
    extends Object

Helper class used to implement more optimized parsing of `BigDecimal` for REALLY big values (over 500 characters)

Based on ideas from this this git commit.

Since:
  2.13

### Method Summary

All Methods Static Methods Concrete Methods
`static BigDecimal` `parse(char[] chars)`
`static BigDecimal` `parse(char[] chars, int off, int len)`
`static BigDecimal` `parse(String valueStr)`
`static BigDecimal` `parseWithFastParser(char[] ch, int off, int len)`
`static BigDecimal` `parseWithFastParser(String valueStr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static BigDecimal parse(String valueStr)

#### parse

    public static BigDecimal parse(char[] chars,
                                   int off,
                                   int len)

#### parse

    public static BigDecimal parse(char[] chars)

#### parseWithFastParser

    public static BigDecimal parseWithFastParser(String valueStr)

#### parseWithFastParser

    public static BigDecimal parseWithFastParser(char[] ch,
                                                 int off,
                                                 int len)